## org.emboss.jemboss.soap
Class JembossSoapException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.emboss.jemboss.soap.JembossSoapException

All Implemented Interfaces:
  java.io.Serializable

public class JembossSoapException
extends java.lang.Exception

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`JembossSoapException()` When trown indicates a communication error with the server.
`JembossSoapException(java.lang.String s)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JembossSoapException

    public JembossSoapException()

  When trown indicates a communication error with the server. Note that authentication errors should throw and JembossException and transport errors we can't sort out should throw a SOAPException.

### JembossSoapException

    public JembossSoapException(java.lang.String s)